var esdlife = {};
	
esdlife.app = {
	methods:{
		filter: {
			page: 1,
			pagesize: 9,
		},
		init: 
		$( document ).ready(function() {
			$( '#go-to-year' ).submit(function() {
//				if ( $( '#annual-year' ).val() != '' ) {
//					window.location.replace( $( '#annual-year' ).val() );
				if ( $( '#sustainability-year' ).val() != '' ) {
					window.location.replace( $( '#sustainability-year' ).val() );
				}
				return false;
			})

			$( '#btn-more-report' ).on( 'click keyup', function(e) {
				if ( e.type == "keyup" )
				{
					switch ( e.keyCode )
					{
						case KEY_ENTER :
							break;
						default : return; break;
					}
				}
				esdlife.app.methods.filter.page ++;

				$.ajax({
					url: basePath + '/api',
					data: { pagesize: esdlife.app.methods.filter.pagesize, page: esdlife.app.methods.filter.page },
					type: 'GET',
					success: function( response ) {
						esdlife.app.methods.render_result( JSON.parse( response ) );
					}
				})
			});
		}),
		render_result: function( result ) {
			if ( result.datasize == 0 ) {
				$( '#btn-more-report' ).hide();
				$( '#no-more-result' ).show();
				return false;
			}

			if ( result.data.length < esdlife.app.methods.filter.pagesize ) {
				$( '#btn-more-report' ).hide();
				$( '#no-more-result' ).hide();
			}

			var str = '';

			for ( var i = 0; i < result.data.length; i++ ) {
				str += '<li><div class="image"><a href="' + result.data[i]['url'] + '" title="' + result.data[i]['post_title'] + '"><img src="' + result.data[i]['report_cover'] + '" alt="' + result.data[i]['post_title'] + '" /></a></div><div class="text"><a href="' + result.data[i]['url'] + '" title="' + result.data[i]['post_title'] + '">' + result.data[i]['post_title'] + '</a></div></li>';
			}

			$( '#report-result' ).append( str );

			if (esdlife.app.methods.filter.page * esdlife.app.methods.filter.pagesize == result.datasize) {
				$( '#btn-more-report' ).hide();
				$( '#no-more-result' ).hide();
			}
		},
	},
}