<?php
	// $data defined in app/MainController
	// can use $data['name'] / $name to get its value

	$article_data = $data['json_data'];

	// redirect immediately
	if (isset($article_data->global_setting) && $article_data->global_setting) {
		if ($article_data->global_setting[0]->redirect_state == 'Y' && $article_data->global_setting[1]->redirect_url != '') {
			if ( strpos($article_data->global_setting[1]->redirect_url, 'http:') !== false ) {
				header('Location: ' . $article_data->global_setting[1]->redirect_url);
				exit();
			}
			if ( strpos($article_data->global_setting[1]->redirect_url, 'https:') !== false ) {
				header('Location: ' . $article_data->global_setting[1]->redirect_url);
				exit();
			}
			if ( strpos($article_data->global_setting[1]->redirect_url, '/media/') !== false ) {
				header('Location: ' . $article_data->global_setting[1]->redirect_url);
				exit();
			}
			if ( strpos($article_data->global_setting[1]->redirect_url, '/online-library/') !== false ) {
				header('Location: ' . $article_data->global_setting[1]->redirect_url);
				exit();
			}
			header('Location: ' . $data['baseUrl'] . $article_data->global_setting[1]->redirect_url);
			exit();
		}
	}

	include_once 'includes/models/SustainabilityReport.class.php';
	$page_model = new SustainabilityReport();

	// latest articles directory
	$latest_directory = $data['sourceDir'] . $data['lang'] . '/latest_articles_list';

	// other page variables
	$data['view'] = 'view';

	$data['hero_banner_style'] = '';

	if ( isset($data['json_data']->hero_banner_image) && $data['json_data']->hero_banner_image ) {
		$data['hero_banner_style'] .= 'background-image: url(' . reset($data['json_data']->hero_banner_image)->full_url . '); background-size: cover';
	} else if ( isset($data['json_data']->hero_banner_color) && $data['json_data']->hero_banner_color ) {
		$data['hero_banner_style'] .= 'background-color : ' . $data['json_data']->hero_banner_color; 
	} else {
		$data['hero_banner_style'] .= 'background-color : ' . $data['default_top_background']; 
	}

	include_once 'template-parts/navigation.php';

	include_once 'template-parts/header.php';

	include_once 'template-parts/sustainability-report.php';

	include_once 'template-parts/footer.php';